Lompati ke konten utama

Browser ini sudah tidak didukung.

Tingkatkan ke Microsoft Edge untuk memanfaatkan fitur, pembaruan keamanan, dan dukungan teknis terkini.

Unduh Microsoft Edge Informasi selengkapnya tentang Internet Explorer dan Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Get a session

GET /agents/{agent_name}/endpoint/sessions/{session_id}

Retrieves the details of a hosted agent session by agent name and session identifier.

Parameter jalur

agent_name string diperlukan

The name of the agent.

session_id string diperlukan

The session identifier.

Parameter kueri

api-version string diperlukan

The API version to use for this operation.

Respons

The request has succeeded.

Isi

Content-Type: application/json
agent_session_id string diperlukan

The session identifier.

version_indicator version_ref diperlukan

Version indicator determining which agent version backs the session.

Salah satu dari berikut ini:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum diperlukan

Discriminator value for version_ref.

version_ref
agent_version string diperlukan

The agent version identifier returned by the agent version APIs.

status string | enum diperlukan

The status of an agent session.

Salah satu dari yang berikut:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer diperlukan

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer diperlukan

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer diperlukan

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Minta

GET /agents/{agent_name}/endpoint/sessions/{session_id} HTTP/1.1

Tanggapan

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
id-id
Pilihan Privasi Anda
  • Pengelakan AI
  • Versi Sebelumnya
  • Blog
  • Berikan kontribusi
  • Privasi
  • Privasi Kesehatan Konsumen
  • Persyaratan Penggunaan
  • Merek Dagang
  • © Microsoft 2026